import { AnonymousProfileConfig, ProfileConfig, SpecialProfileConfig, UserConfig } from '@iotize/tap/config/schema/v1';
declare type AnyProfileConfig = UserConfig | ProfileConfig | SpecialProfileConfig | AnonymousProfileConfig;
export declare function getProfileIdFromConfig(profile: AnyProfileConfig): number;
export declare function isTapFirmwareVersionGreaterThanOrEqual(fwVersionString: string, version: string): boolean;
export declare function isTapFirmwareVersionLessThanOrEqual(fwVersionString: string, version: string): boolean;
export declare function enumKeyToEnumValue<T>(value: keyof T, enumMapping: any): T;
export declare function enumKeysToEnumValues<T>(values: (keyof T)[], enumMapping: any): T[];
/**
 * Convert
 */
export declare function toEnum<T>(value: string, enumMapping: any): T;
export declare function enumToString<T>(value: T, mapping: any): string;
export declare function isSpecialProfileUsername(username: string): boolean;
export declare function isSpecialProfileId(id: number): boolean;
export declare function configValueToBytes(input: string | number[] | Uint8Array): Uint8Array;
export {};
